/*	Sample program for Olimex AVR--MT-128 with ATMega128 processor
 *	Blinks the led using a simple delay loop.
 *	Compile with AVRStudio+WinAVR (gcc version 3.4.6)
 */

#include "avr/io.h"

#define	__AVR_ATMEGA128__	1

void Initialize()
{
	PORTA = 0b00000000;		DDRA = 0b01000000;	//set Relay as output (bit6 = 1)
	PORTB = 0b00000000;		DDRB = 0b00000000;
	PORTC = 0b00000000;		DDRC = 0b00000000;
	PORTD = 0b00000000;		DDRD = 0b00000000;
	PORTE = 0b00100000;		DDRE = 0b00110000;
	PORTF = 0b00000000;		DDRF = 0b00000000;
}

int main()
{
	Initialize();
	unsigned int i, j;
	while(1)
	{

		if (PINA & 0b01000000) 				//if led is off
			PORTA = PORTA & 0b10111111;		//set led on
		else								//else
			PORTA = PORTA | 0b01000000;		//set led off
		//delay (j is used for additional delay)
		for (i=15; i; i--)
		for (j=50000; j; j--);		
	}
	return 0;
}
